Agent Access guide
curl --request GET \
--url https://api.anchorbrowser.io/v1/agent-accessimport requests
url = "https://api.anchorbrowser.io/v1/agent-access"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anchorbrowser.io/v1/agent-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anchorbrowser.io/v1/agent-access",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anchorbrowser.io/v1/agent-access"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anchorbrowser.io/v1/agent-access")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anchorbrowser.io/v1/agent-access")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"purpose": "<string>",
"docs": "<string>",
"credits": {
"anonymous": 123,
"with_identity": 123
},
"ttl_seconds": 123,
"limits": {
"session_max_duration_minutes": 123
},
"flow": [
{
"step": 123,
"method": "GET",
"path": "<string>",
"why": "<string>"
}
],
"next": {
"method": "GET",
"path": "<string>",
"description": "<string>"
},
"identity": {
"optional": true,
"extra_credits": 123,
"submit": "<string>",
"oidc": [
{
"provider": "<string>",
"issuer": "<string>",
"how": "<string>"
}
]
}
}{
"error": "<string>",
"next": {
"method": "GET",
"path": "<string>",
"description": "<string>"
},
"docs": "https://docs.anchorbrowser.io/quickstart/agent-access"
}Agent Access
Agent Access guide
Unauthenticated onboarding guide. This GET does not issue an API key.
Follow the next field: GET /v1/agent-access/challenge, solve, then POST /v1/agent-access
with { token, answer }. Optional identity_token (OIDC JWT) grants more credits.
Docs: https://docs.anchorbrowser.io/quickstart/agent-access
GET
/
v1
/
agent-access
Agent Access guide
curl --request GET \
--url https://api.anchorbrowser.io/v1/agent-accessimport requests
url = "https://api.anchorbrowser.io/v1/agent-access"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anchorbrowser.io/v1/agent-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anchorbrowser.io/v1/agent-access",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anchorbrowser.io/v1/agent-access"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anchorbrowser.io/v1/agent-access")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anchorbrowser.io/v1/agent-access")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"purpose": "<string>",
"docs": "<string>",
"credits": {
"anonymous": 123,
"with_identity": 123
},
"ttl_seconds": 123,
"limits": {
"session_max_duration_minutes": 123
},
"flow": [
{
"step": 123,
"method": "GET",
"path": "<string>",
"why": "<string>"
}
],
"next": {
"method": "GET",
"path": "<string>",
"description": "<string>"
},
"identity": {
"optional": true,
"extra_credits": 123,
"submit": "<string>",
"oidc": [
{
"provider": "<string>",
"issuer": "<string>",
"how": "<string>"
}
]
}
}{
"error": "<string>",
"next": {
"method": "GET",
"path": "<string>",
"description": "<string>"
},
"docs": "https://docs.anchorbrowser.io/quickstart/agent-access"
}Response
Ordered flow. Follow next.
Was this page helpful?

